using System;


/// <summary>
/// The command CLEARALLIO is used to clear all I/O channels
/// 
/// Usage: CLEARALLIO
/// 
/// Returns: a String with the value of each I/O channel. The
/// String contains 16 characters (Example: 0000000000000000)
/// </summary>
class CmdClearAllIO : Command
{

    /// <summary>
    /// class constructor
    /// </summary>
    public CmdClearAllIO()
    {
        keyword = "CLEARALLIO";
    }


    /// <summary>
    /// executeCommand() will execute the Cmd... class on the K8000 card
    /// </summary>
    /// <returns>A boolean to indicate if the execution succeeded</returns>
    public override string executeCommand()
    {
        K8000.clearAllIO();
        return K8000.getIOstr();
    }
}

