using System;
using Microsoft.SPOT;


/// <summary>
/// The command GETALLAD is used to read the value of all A/D channel
/// 
/// Usage: GETALLAD
///     
/// Returns: a string with the values of the 4 A/D channels. They are
/// separated by a space character. Example response:
/// 
/// +OK 255 0 0 0
/// 
/// </summary>
class CmdGetAllAD : Command
{

    /// <summary>
    /// class constructor
    /// </summary>
    public CmdGetAllAD()
    {
        keyword = "GETALLAD";
    }



    /// <summary>
    /// executeCommand() will execute the Cmd... class on the K8000 card
    /// </summary>
    /// <returns>A boolean to indicate if the execution succeeded</returns>
    public override string executeCommand()
    {

        String ADstr = "";

        K8000.readAllAD();

        for (int i = 1; i < 5; i++)
        {
            if (ADstr == "")
                ADstr = "" + K8000.AD[i];
            else
                ADstr += " " + K8000.AD[i];
        }

        return ADstr;
    }
}

