using System;
using Microsoft.SPOT;


/// <summary>
/// The command GETALLIO is used to get the string with the state of all I/O channels
/// 
/// Usage: GETALLIO
///     
/// Returns: a String with the value of each I/O channel. The
/// String contains 16 characters (Example: 0000000000000000)
/// </summary>
class CmdGetAllIO : Command
{

    /// <summary>
    /// class constructor
    /// </summary>
    public CmdGetAllIO()
    {
        keyword = "GETALLIO";
    }



    /// <summary>
    /// executeCommand() will execute the Cmd... class on the K8000 card
    /// </summary>
    /// <returns>A boolean to indicate if the execution succeeded</returns>
    public override string executeCommand()
    {
        K8000.readAllIO();
        return K8000.getIOstr();
    }
}

