using System;
using Microsoft.SPOT;


/// <summary>
/// The command PASS is used to identify the user
/// 
/// Usage: LOGIN [password]
///     - password is a string value that contains no more than 20 character
///     
/// 
/// P.S. When succeeded the serverflag will be set to serverFlags.LOGGEDIN
/// 
/// </summary>
class CmdLogin : Command
{

    /// <summary>
    /// class constructor
    /// </summary>
    public CmdLogin()
    {
        keyword = "PASS";

        // add all the parameters for this object
        addParameter("password", parameterType.STRING, 20);
    }



    /// <summary>
    /// executeCommand() will execute the Cmd... class on the K8000 card
    /// </summary>
    /// <returns>A boolean to indicate if the execution succeeded</returns>
    public override string executeCommand()
    {
        string password = getStringParameter("password");
        if (password == K8000_Server.getStaticPassword())
        {
            serverflag = serverFlags.LOGGED_IN;
            return "Welcome to the K8000 TCP/IP server!";
        }
        else
            throw new Exception("invalid password");
    }
}

