﻿using System;
using Microsoft.SPOT;


/// <summary>
/// This program is written to act as a Telnet-based server for the FEZ Panda II device.
/// The server can accept incoming TCP/IP connection requests from up to 2 clients 
/// (the number of clients is restricted by the FEZ hardware).
/// 
/// The full project is explained at: http://www.bvsystems.be/K8000server.php.
/// 
/// 
/// Copyright (c) 2012   - Vanderhaegen Bart
/// 
/// </summary>
public class Program
{
    /// <summary>
    /// Main() is the main function for this project. It contains the code that will start
    /// the server.
    /// </summary>
    public static void Main()
    {
        // Setting up the Debug environment
        Debug.EnableGCMessages(false);

        // this loop makes sure the server is restarted automatically in case of
        // any uncatched events in the code.
        while (true)
        {
            // Define the K8000 object and set its properties
            Velleman_K8000 K8000 = new Velleman_K8000(1, false);

            // Define the myServer object
            K8000_Server myServer = new K8000_Server();

            // set the server's properties
            // TODO: modify these settings so they match your network situation.
            myServer.serverPort = 23;
            myServer.ip = new byte[] { 192, 168, 2, 150 };
            myServer.subnet = new byte[] { 255, 255, 255, 0 };
            myServer.gateway = new byte[] { 192, 168, 1, 1 };
            myServer.mac = new byte[] { 0x00, 0x88, 0x98, 0x90, 0xD4, 0xE0 };
            myServer.password = "bart!";
            myServer.K8000 = K8000;

            // execute the server!
            myServer.runServer();

            // show a Debug message
            Debug.Print("Error: FEZ Server restarting!");
        }



    }
}